<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <service>libvirtd</service>
        <file filelist='libvirt' name='/etc/libvirt/qemu.conf' rm='True'/>
        <file filelist='libvirt' name='/etc/libvirt/libvirtd.conf' rm='True'/>
	<file filelist='libvirt' name='/etc/default/libvirtd' source='defaults-libvirtd' rm='True'/>
    </files>
    <variables>
        <family name='Services'>
            <variable name='activer_libvirt' type='oui/non' description="Activer la bibliothèque de gestion des machines virtuelles libvirt" mode='expert'>
                <value>oui</value>
            </variable>
        </family>
        <family name='Virtualisation'>
            <variable name='virt_user' type='string' description="Utilisateur d'exécution de la bibliothèque" mode='expert'>
                <value>oneadmin</value>
            </variable>
            <variable name='virt_group' type='string' description="Groupe d'exécution de la bibliothèque" mode='expert'>
                <value>oneadmin</value>
            </variable>
        </family>
        <separators>
            <separator name='virt_user'>Configuration de la bibliothèque de gestion des machines virtuelles</separator>
        </separators>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_libvirt'>
            <param>non</param>
            <target type='filelist'>libvirt</target>
            <target type='variable'>virt_user</target>
            <target type='variable'>virt_group</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_libvirt'>Bibliothèque de gestion de machines virtuelles</variable>
    </help>
</creole>
